\name{fWKendall}
\alias{fWKendall}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{
fWKendall 
}
\description{
fWKendall, the function to compute the weighted Kendall correlation. The proposed method runs in the time complexity of O(nlogn) and space complexity of O(n). It can be used to perform conventional similarity analysis and cluster analysis in a much faster time. This makes fastWKendall important for the analysis of huge volumes of data, such as genomic databases, stock market  data, big data from social media, and streaming data for video and other sensors.
}
\usage{
fWKendall(xin, yin)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{xin, yin}{
       numeric vectors of data values.  'xin' and 'yin' must have
          the same length.

}
}
\details{
The function calculates the weigthed Kendall index between two input vectors variables xin and yin. Both of them do not allow null value. The weighted Kendall index is calculated accorrdingly to Equation 4 in (Lin, Adjeroh, Jiang, and Jiang, 2016).

The function runs in the time complexity of O(nlogn) and space complexity of O(n) which is faster than the method proposed by (Campello and Hruschka, 2009). More explanation can be found in (Lin, Adjeroh, Jiang, and Jiang, 2016). 
}
\value{
The value of weighted Kendall correlation.}
\references{
Campello RJGB, Hruschka ER (2009). "On comparing two sequences of numbers and its applications to clustering analysis." Information Sciences, 179(8), 1025-1039.

Lin, Adjeroh, Jiang, and Jiang, (2016). "fastWKendall: An Efficient Algorithm for Weighted
Kendall Correlation.", submitted to Computational Statistics.
}
\author{
Jie Lin,  Don Adjeroh, Bing-Hua Jiang, Yue Jiang
}


%% ~Make other sections like Warning with \section{Warning }{....} ~


\examples{
library("fastWKendall")            #Loads the R package "bitops".
X <- runif(100)                    #Randomly constructs the X set.
Y <- runif(100)                    #Randomly constructs the Y set.
tao <- fWKendall(X, Y)             #Calculates the tao of X and Y sets.
}
% Add one or more standard keywords, see file 'KEYWORDS' in the
% R documentation directory.
\keyword{ Kendall }
%\keyword{ ~kwd2 }% __ONLY ONE__ keyword per line
